#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	YAML
%define	pnam	LibYAML
Summary:	YAML::XS::LibYAML - An XS Wrapper Module of libyaml
Summary(pl.UTF-8):	YAML::XS::LibYAML - moduł wrappera XS dla libyaml
Name:		perl-YAML-LibYAML
Version:	0.83
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/YAML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5c019115eae8079e74a407c74c4564f0
URL:		https://metacpan.org/release/YAML-LibYAML
BuildRequires:	perl-ExtUtils-MakeMaker
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.90
%endif
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAML::XS is a Perl YAML implementation using XS and libyaml.

YAML::XS::LibYAML is an XS wrapper module for libyaml.

%description -l pl.UTF-8
YAML::XS to perlowa implementacja YAML-a przy użyciu XS i biblioteki
libyaml.

YAML::XS::LibYAML to moduł wrappera XS dla libyaml.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/YAML/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/YAML/LibYAML.pm
%{perl_vendorarch}/YAML/XS.pm
%{perl_vendorarch}/YAML/XS
%dir %{perl_vendorarch}/auto/YAML/XS
%dir %{perl_vendorarch}/auto/YAML/XS/LibYAML
%attr(755,root,root) %{perl_vendorarch}/auto/YAML/XS/LibYAML/LibYAML.so
%{_mandir}/man3/YAML::LibYAML.3pm*
%{_mandir}/man3/YAML::XS.3pm*
%{_mandir}/man3/YAML::XS::LibYAML.3pm*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-YAML-LibYAML.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 3b603a2
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 63244f1
- rebuild with perl 5.34.0

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> a4cd059
- updated to 0.83

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 5dfd14a
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c2e294d
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7028957
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 590be3f
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 049ec12
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4fc6470
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> b2d496a
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 1b500b1
- updated to 0.59
- removed obsolete format-error patch

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> e7739af
- release 4 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 80f5ebd
- x32 rebuild
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2beec32
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 3b4a5fe
- fix format string errors

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> f33fc2d
- up to 0.41

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f050c84
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> c7f7ee0
- up to 0.38

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> baeb6dc
- up to 0.37

* Fri Jul 01 2011 marti <marti@pld-linux.org> ae8173c
- up to 0.35

